Bug 1472991 - grass fails to install on fc26
grass fails to install on fc26
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 14:50 EDT by John Freed
Modified: 2018-04-16 20:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: grass-7.4.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-16 20:17:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Freed 2017-07-19 14:50:28 EDT
Description of problem: grass-7.0.4-7.fc26.x86_64 will not install


Version-Release number of selected component (if applicable): 7.0.4-7


How reproducible: sudo dnf install grass --allowerasing


Steps to Reproduce:
1. sudo dnf install grass
2. sudo dnf install grass --allowerasing
3.

Actual results: 
error: Failed dependencies:
	libboost_program_options.so.1.60.0()(64bit) is needed by grass-7.0.4-7.fc26.x86_64
	libboost_system.so.1.60.0()(64bit) is needed by grass-7.0.4-7.fc26.x86_64
	libboost_thread.so.1.60.0()(64bit) is needed by grass-7.0.4-7.fc26.x86_64

Expected results: installs


Additional info: see also bug #1409006 Comment #4

The problem appears to be that boost is at version 63 while this version of grass insists on version 60 and does not allow higher versions. For example, FC24 includes boost-program-options-1.63.0-5.fc26.x86_64

Workaround is to download grass and force-install using rpm -ivh --nodeps grass-7.0.4-7.fc26.x86_64
Comment 1 markusN 2017-09-06 16:13:19 EDT
FYI - I made a GRASS GIS 7.2 package here with updated SPEC file:

https://copr.fedorainfracloud.org/coprs/neteler/grass72/

It does not show the problem reported above.
Comment 2 markusN 2017-09-16 12:47:04 EDT
Likely addressed in bug #1492350
Comment 3 markusN 2018-01-16 15:15:16 EST
A new GRASS GIS SPEC file is available:

https://trac.osgeo.org/grass/browser/grass/trunk/rpm/
- grass.spec
- grass_unversioned.spec

I have built and tested a binary package on COPR:
https://copr.fedorainfracloud.org/coprs/neteler/grass74/

Tested on EPEL, F26 and F27.
Comment 4 markusN 2018-01-28 10:42:38 EST
New GRASS GIS 7.4.0 RPM submitted for review in bug #1539116 which solves this bug.
Comment 5 Fedora Update System 2018-03-25 15:47:41 EDT
grass-7.2.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1788c9054c
Comment 6 Fedora Update System 2018-03-26 11:01:31 EDT
grass-7.2.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1788c9054c
Comment 7 Fedora Update System 2018-04-11 03:15:02 EDT
grass-7.4.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-64644ab8c5
Comment 8 Fedora Update System 2018-04-11 18:58:21 EDT
grass-7.4.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-64644ab8c5
Comment 9 Fedora Update System 2018-04-16 20:17:18 EDT
grass-7.4.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.